Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
RDO tickets are now tracked in Jira https://issues.redhat.com/projects/RDO/issues/
Bug 1290308 - Review Request: python-midonetclient
Summary: Review Request: python-midonetclient
Keywords:
Status: CLOSED EOL
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: trunk
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: Kilo
Assignee: hguemar
QA Contact: hguemar
URL:
Whiteboard:
Depends On:
Blocks: FE-NEEDSPONSOR RDO-MITAKA, RDO-MITAKA-REVIEWS
TreeView+ depends on / blocked
 
Reported: 2015-12-10 07:22 UTC by Jaume Devesa
Modified: 2016-05-19 16:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-19 16:10:45 UTC
Embargoed:


Attachments (Terms of Use)

Description Jaume Devesa 2015-12-10 07:22:06 UTC
Can you review:

https://github.com/jdevesa/python-midonetclient-rpm

It is called with the -rpm suffix because I have a fork in my GitHub account to the actual python-midonetclient code.

Comment 1 Zbigniew Jędrzejewski-Szmek 2016-02-29 19:04:50 UTC
Jaume, please see https://fedoraproject.org/wiki/Join_the_package_collection_maintainers
and especially the part about review requests: https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Create_Your_Review_Request.

People use automated tools which require the fairly specific template to be used.

More importantly, to add packages to Fedora you need to become a maintainer, following the process described there.

Comment 2 Haïkel Guémar 2016-02-29 20:10:32 UTC
@Zbigniew: this is a package review for RDO, not Fedora (Cf. Product ;-) )
Though what you said makes sense to fasten the review.

Comment 3 Zbigniew Jędrzejewski-Szmek 2016-02-29 20:21:00 UTC
Oh, OK. I followed from the NEW list and didn't check. I have no idea about RDO procedures, can you unset the FE-NEEDSPONSOR flag is it's unnecessary?

Comment 4 hguemar 2016-03-29 08:15:18 UTC
modified spec: https://hguemar.fedorapeople.org/reviews/python-midonetclient.spec
src.rpm: https://hguemar.fedorapeople.org/reviews/python-midonetclient-1.7.0-1.el7.src.rpm
Changes are also in my fork: https://github.com/hguemar/python-midonetclient-rpm

Note since this is not OpenStack module, it won't be included in Delorean, we'll just ship release in CentOS Community Build System.

Comment 5 hguemar 2016-03-29 08:16:38 UTC
Packaged is hereby approved in RDO.

I'll fork your repository in openstack-packages github organization and rename the branch as rdo-common

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "GPL (v3)", "Unknown or generated". 25 files
     have unknown license. Detailed output of licensecheck in /home/haikel
     /python-midonetclient-rpm/review-python-midonetclient/licensecheck.txt
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-midonetclient-1.7.0-1.fc25.noarch.rpm
          python-midonetclient-1.7.0-1.fc25.src.rpm
python-midonetclient.noarch: E: explicit-lib-dependency python-httplib2
python-midonetclient.noarch: W: no-manual-page-for-binary midonet-cli
2 packages and 0 specfiles checked; 1 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
INFO: mock.py version 1.2.14 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.14
INFO: Mock Version: 1.2.14
Finish: chroot init
INFO: installing package(s): rpmlint
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 24 --setopt=deltarpm=false install rpmlint --setopt=tsflags=nocontexts



Requires
--------
python-midonetclient (rpmlib, GLIBC filtered):
    /usr/bin/python2
    python(abi)
    python-httplib2
    python-webob



Provides
--------
python-midonetclient:
    python-midonetclient



Source checksums
----------------
https://github.com/midonet/python-midonetclient/archive/v1.7.0.tar.gz#/python-midonetclient-1.7.0.tar.gz :
  CHECKSUM(SHA256) this package     : 338d93b5164bc9901c56351029194f4451d655f3d9857197526ef48f54d66900
  CHECKSUM(SHA256) upstream package : 338d93b5164bc9901c56351029194f4451d655f3d9857197526ef48f54d66900


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -n /home/haikel/python-midonetclient-rpm/ -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 6 Chandan Kumar 2016-05-19 16:00:01 UTC
This bug is against a Version which has reached End of Life.
If it's still present in supported release (http://releases.openstack.org), please update Version and reopen.

Comment 7 Chandan Kumar 2016-05-19 16:10:45 UTC
This bug is against a Version which has reached End of Life.
If it's still present in supported release (http://releases.openstack.org), please update Version and reopen.


Note You need to log in before you can comment on or make changes to this bug.